From 2cc280307a10354fe856d45a5bf8e9d031adf3e8 Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Dec 11 2017 13:50:44 +0000
Subject: [PATCH 22/51] assert that every linter method has a docstring


---

diff --git a/src/_fedmod/modulemd_linter.py b/src/_fedmod/modulemd_linter.py
index 3ec8080..e1ed05e 100644
--- a/src/_fedmod/modulemd_linter.py
+++ b/src/_fedmod/modulemd_linter.py
@@ -146,6 +146,9 @@ class ModuleMDLinter(object):
              if callable(y) and y.lint_level >= min_level),
             key=lambda x: x.lint_order)
 
+        # ensure all lint methods have a docstring
+        assert all(getattr(x, '__doc__', None) for x in lint_methods)
+
         flagged = []
         failed_or_skipped = set()
 

